Robotsystem from Robot Group Leipzig: controller_misc.cpp File Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

# controller_misc.cpp File Reference

`#include "controller_misc.h"`

Include dependency graph for controller_misc.cpp:

Go to the source code of this file.

## Functions
double | one_over (double x)
| calculates 1/x
double | random_minusone_to_one (double)
| creates random number from -1 to 1
list< D > | store4x4AndDiagonal (const Matrix &m)
unsigned int | store4x4AndDiagonal (const Matrix &m, D *buffer, unsigned int len)
unsigned int | get4x4AndDiagonalSize (const Matrix &m)
list< Inspectable::iparamkey > | store4x4AndDiagonalFieldNames (const Matrix &m, const char *matrixName)
unsigned int | store4x4AndDiagonalFieldNames (const Matrix &m, const char *matrixName, char **keylist, unsigned int len)
list< Inspectable::iparamkey > | storeMatrixFieldNames (const Matrix &m, const char *matrixName)
list< Inspectable::iparamkey > | storeVectorFieldNames (const Matrix &m, const char *vectorName)
unsigned int | storeMatrixFieldNames (const Matrix &m, const char *matrixName, char **keylist, unsigned int len)
unsigned int | storeVectorFieldNames (const Matrix &m, const char *vectorName, char **keylist, unsigned int len)
bool | storeMatrix (const Matrix &m, FILE *f)
| stores the Matrix into the given file stream (binary)
bool | restoreMatrix (Matrix &m, FILE *f)
| reads a Matrix from the given file stream (binary)
Matrix | noiseMatrix (unsigned int m, unsigned int n, NoiseGenerator &ng, double p1, double p2)
double | adapt (double p, double actual, double nominal, double up_rate, double down_rate)
| parameter adaptation algorithm.
double | adaptMinMax (double p, double actual, double _min, double _max, double up_rate, double down_rate)
| like adapt but that the adaption is just done if the actual value is outside the given interval (_min, _max)

## Function Documentation

double adapt | ( | double | p,
|  | double | actual,
|  | double | nominal,
|  | double | up_rate,
|  | double | down_rate
| ) |

| parameter adaptation algorithm. Definition at line 273 of file controller_misc.cpp.

double adaptMinMax | ( | double | p,
|  | double | actual,
|  | double | _min,
|  | double | _max,
|  | double | up_rate,
|  | double | down_rate
| ) |

| like adapt but that the adaption is just done if the actual value is outside the given interval (_min, _max) Definition at line 281 of file controller_misc.cpp.

unsigned int get4x4AndDiagonalSize | ( | const Matrix & | m | ) |

| Definition at line 66 of file controller_misc.cpp.

Matrix noiseMatrix | ( | unsigned int | m,
|  | unsigned int | n,
|  | NoiseGenerator & | ng,
|  | double | p1,
|  | double | p2
| ) |

| Definition at line 256 of file controller_misc.cpp.

double one_over | ( | double | x | ) |

| calculates 1/x Definition at line 4 of file controller_misc.cpp.

double random_minusone_to_one | ( | double |  | ) |

| creates random number from -1 to 1 Definition at line 9 of file controller_misc.cpp.

bool restoreMatrix | ( | Matrix & | m,
|  | FILE * | f
| ) |

| reads a Matrix from the given file stream (binary) Definition at line 236 of file controller_misc.cpp.

unsigned int store4x4AndDiagonal | ( | const Matrix & | m,
|  | D * | buffer,
|  | unsigned int | len
| ) |

| Definition at line 41 of file controller_misc.cpp.

list<D> store4x4AndDiagonal | ( | const Matrix & | m | ) |

| Definition at line 17 of file controller_misc.cpp.

unsigned int store4x4AndDiagonalFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName,
|  | char ** | keylist,
|  | unsigned int | len
| ) |

| Definition at line 111 of file controller_misc.cpp.

list<Inspectable::iparamkey> store4x4AndDiagonalFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName
| ) |

| Definition at line 82 of file controller_misc.cpp.

bool storeMatrix | ( | const Matrix & | m,
|  | FILE * | f
| ) |

| stores the Matrix into the given file stream (binary) Definition at line 221 of file controller_misc.cpp.

unsigned int storeMatrixFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName,
|  | char ** | keylist,
|  | unsigned int | len
| ) |

| Definition at line 178 of file controller_misc.cpp.

list<Inspectable::iparamkey> storeMatrixFieldNames | ( | const Matrix & | m,
|  | const char * | matrixName
| ) |

| Definition at line 140 of file controller_misc.cpp.

unsigned int storeVectorFieldNames | ( | const Matrix & | m,
|  | const char * | vectorName,
|  | char ** | keylist,
|  | unsigned int | len
| ) |

| Definition at line 202 of file controller_misc.cpp.

list<Inspectable::iparamkey> storeVectorFieldNames | ( | const Matrix & | m,
|  | const char * | vectorName
| ) |

| Definition at line 158 of file controller_misc.cpp.